%define	gituser	harmattan
%define _name	numptyphysics
%define	git	a22cde2

Name:		%{_name}
Version:	0.3.3
Release:	%mkrel 3
License:	GPLv3
Group:		Education
Url:		http://numptyphysics.garage.maemo.org
# Stable release git tag: https://github.com/harmattan/%{name}/archive/%{version}.tar.gz
Source:		%{name}-%{version}.tar.gz
Source2:        numptyphysics-levels.tar.gz
Patch0:		%{name}-desktop-file.patch
Patch1:		%{name}-0.3.2-makefile.patch
Patch2:		%{name}-0.3.2-gcc4.7.patch
Summary:	A drawing puzzle game in the spirit of Crayon Physics using the same Box2D engine

BuildRequires:	intltool
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	desktop-file-utils
BuildRequires:	vim-common

%description
Harness gravity with your crayon and set about creating blocks, ramps, levers,
pulleys and whatever else you fancy to get the little red thing to the little
yellow thing.

Numpty Physics is a drawing puzzle game in the spirit (and style?) of Crayon
Physics using the same excellent Box2D engine. Note though that I've not
actually played CP so the experience may be very different. Numpty Physics
includes a built-in editor so that you may build (and submit) your own levels.

%prep
%setup -q -n %{_name}-%{version}
#%apply_patches

%build
%setup_compile_flags
%make

%install
rm -fr %{buildroot}
%makeinstall_std
#additiona levels
mkdir -p %{buildroot}%{_datadir}/%{name}
tar xzf %{SOURCE2} -C %{buildroot}%{_datadir}/%{name}
mv -f %{buildroot}%{_datadir}/numptyphysics/numptyphysics-levels/*.nph %{buildroot}%{_datadir}/numptyphysics/
mkdir -p %{buildroot}%{_iconsdir}/hicolor/64x64/apps
cp %{buildroot}%{_datadir}/%{name}/data/%{name}.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
rm -rf %{buildroot}%{_datadir}/numptyphysics/numptyphysics-levels

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_datadir}/%{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.3.3-3.mga4
+ Revision: 508356
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.3.3-2.mga3
+ Revision: 361081
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 matteo <matteo> 0.3.3-1.mga3
+ Revision: 330952
- new stable version

* Sun Jul 29 2012 matteo <matteo> 0.3.2-0.git.a22cde2.1.mga3
+ Revision: 275554
- added patch to support gcc-4.7
- new version

* Sun Mar 25 2012 anaselli <anaselli> 0.2-0.svn.157.2.mga2
+ Revision: 226367
- added missed levels

* Thu Jan 05 2012 matteo <matteo> 0.2-0.svn.157.1.mga2
+ Revision: 191922
- unzipped patch; spec file reviewed

* Fri Dec 23 2011 matteo <matteo> 0.2-0.svn.157.mga2
+ Revision: 186813
- fixed wrong summary
- imported package numptyphysics

